Error Installing SAP Adapter in IBM AIX

Hii, help me,

Anyone Help me Error when Installing SAP Adapter in IBM AIX.

Current Log :

java.lang.reflect.InvocationTargetException: JCO.classInitialize(): Could not load middleware layer ‘com.sap.mw.jco.rfc.MiddlewareRFC’ Can’t find library sapjcorfc (libsapjcorfc.a or .so) in sun.boot.library.path or java.library.path sun.boot.library.path=/webmethods/jvm/aix141/jre/bin java.library.path=/webmethods/jvm/aix141/jre/bin:/webmethods/jvm/aix141/jre/bin/classic:/webmethods/jvm/aix141/jre/bin:/webmethods/IntegrationServer/packages/WmWin32/code/libs:/webmethods/IntegrationServer/packages/WmPartners/code/libs:/webmethods/IntegrationServer/packages/WmPKI/code/libs:/webmethods/IntegrationServer/packages/SAP/code/libs:/webmethods/IntegrationServer/…/common/lib:/webmethods/IntegrationServer/lib:/usr/lib

Hi,
there are 2 libraries under IntegrationServer/packages/SAP/code/libs
called librfccm.so and libsapjcorfc.so.
If you do not have them you have to download a tar from the SAP-Marketplace.

If you have any further questions, let me know.

Ralf

Hi Ralf,

Thx for u solution the problem it solve.